select first :max_records
   G2.code_good as code,
   G2.oborot,
   G2.ostatok,
   G.price_,
   G.name
from
(select
   G1.code_good,
   G1.quantity as oborot,
   case when Exist.quantity is null then 0.0 else Exist.quantity end as ostatok
from
   (select
      Trans.credits, sum(Trans.quantity)
   from Trans join Oper
   on Trans.oper_code=Oper.code
   where Oper.date0>=':min_date' and Trans.credit=10 and Oper.doc_id=:doc_id
   group by Trans.credits)
   as G1(code_good, quantity) left join Exist
   on Exist.account=10 and Exist.subconto=G1.code_good
order by G1.code_good) as G2(code_good, oborot, ostatok) join DIR_Goods G
on G2.code_good=G.code
order by -2*oborot+ostatok